/*
 * @Description:
 * @Author: leizhe
 * @Date: 2022-04-12 11:09:48
 * @LastEditTime: 2022-04-14 11:11:02
 * @LastEditors: leizhe
 */
import { get, post, postForm, PUBLISH_SERVICE, WebSERVICE } from '@/services/index';

export const List = param => get(`${WebSERVICE}/Sketchpad/SketchPad/List`, param);

export const deleteByID = param => get(`${WebSERVICE}/Sketchpad/SketchPad/deleteByID`, param);

export const DownLoadSketchPadType = query =>
  post(`${PUBLISH_SERVICE}/ModelType/DownLoadSketchPadType`, query);

export const Export = query => `${WebSERVICE}/Sketchpad/SketchPad/Export?ids=${query.ids}`;

export const Import = param => post(`${WebSERVICE}/Sketchpad/SketchPad/Import`, param);

export const GetBasicInfo = param => get(`${PUBLISH_SERVICE}/HostManager/GetBasicInfo`, param);

export const CaseTemplate = param => get(`${WebSERVICE}/Sketchpad/SketchPad/CaseTemplate`, param);

export const list = param => get(`${WebSERVICE}/SketchPadType/SketchPadType/List`, param);

export const Edit = param => get(`${WebSERVICE}/Sketchpad/SketchPad/Edit`, param);
